View Issue Details

IDProjectCategoryView StatusLast Update
0006294CentOS-6-OTHERpublic2013-03-13 22:07
Reportermlampe 
PrioritynormalSeverityfeatureReproducibilityalways
Status assignedResolutionopen 
Product VersionPre Release 
Target VersionFixed in Version 
Summary0006294: CR for 6.4 has biarch problems
DescriptionError: Package: samba4-devel-4.0.0-23.alpha11.el6.i686 (@c6-media)
           Requires: libsamba-hostconfig.so.0
           Removing: samba4-libs-4.0.0-23.alpha11.el6.i686 (@c6-media)
               libsamba-hostconfig.so.0
           Obsoleted By: samba4-libs-4.0.0-55.el6.rc4.x86_64 (cr)
               Not found
Error: Package: evolution-mapi-devel-0.28.3-7.el6.i686 (@c6-media)
           Requires: evolution-mapi = 0.28.3-7.el6
           Removing: evolution-mapi-0.28.3-7.el6.i686 (@c6-media)
               evolution-mapi = 0.28.3-7.el6
           Obsoleted By: evolution-mapi-0.28.3-12.el6.x86_64 (cr)
               evolution-mapi = 0.28.3-12.el6
Error: Package: openchange-devel-0.9-7.el6.i686 (installed)
           Requires: openchange = 0.9-7.el6
           Removing: openchange-0.9-7.el6.i686 (@c6-media)
               openchange = 0.9-7.el6
           Obsoleted By: openchange-1.0-4.el6.x86_64 (cr)
               openchange = 1.0-4.el6
Error: python-devel conflicts with python
Error: Package: samba4-devel-4.0.0-23.alpha11.el6.i686 (@c6-media)
           Requires: libdcerpc_samr.so.0
           Removing: samba4-libs-4.0.0-23.alpha11.el6.i686 (@c6-media)
               libdcerpc_samr.so.0
           Obsoleted By: samba4-libs-4.0.0-55.el6.rc4.x86_64 (cr)
               Not found
Error: Package: samba4-devel-4.0.0-23.alpha11.el6.i686 (@c6-media)
           Requires: libsamba-util.so.0
           Removing: samba4-libs-4.0.0-23.alpha11.el6.i686 (@c6-media)
               libsamba-util.so.0
           Obsoleted By: samba4-libs-4.0.0-55.el6.rc4.x86_64 (cr)
               Not found
Error: Package: openchange-devel-0.9-7.el6.i686 (installed)
           Requires: libmapiadmin.so.0
           Removing: openchange-0.9-7.el6.i686 (@c6-media)
               libmapiadmin.so.0
           Obsoleted By: openchange-1.0-4.el6.x86_64 (cr)
               Not found
Error: Package: evolution-mapi-devel-0.28.3-7.el6.i686 (@c6-media)
           Requires: libexchangemapi-1.0.so.0
           Removing: evolution-mapi-0.28.3-7.el6.i686 (@c6-media)
               libexchangemapi-1.0.so.0
           Obsoleted By: evolution-mapi-0.28.3-12.el6.x86_64 (cr)
               Not found
Error: Package: openchange-devel-0.9-7.el6.i686 (installed)
           Requires: libocpf.so.0
           Removing: openchange-0.9-7.el6.i686 (@c6-media)
               libocpf.so.0
           Obsoleted By: openchange-1.0-4.el6.x86_64 (cr)
               Not found
Error: Package: 2:tog-pegasus-2.11.0-3.el6.i686 (@base)
           Requires: tog-pegasus-libs = 2:2.11.0-3.el6
           Removing: 2:tog-pegasus-libs-2.11.0-3.el6.i686 (@base)
               tog-pegasus-libs = 2:2.11.0-3.el6
           Updated By: 2:tog-pegasus-libs-2.12.0-2.el6.i686 (cr)
               tog-pegasus-libs = 2:2.12.0-2.el6
Error: Package: samba4-devel-4.0.0-23.alpha11.el6.i686 (@c6-media)
           Requires: libdcerpc.so.0
           Removing: samba4-libs-4.0.0-23.alpha11.el6.i686 (@c6-media)
               libdcerpc.so.0
           Obsoleted By: samba4-libs-4.0.0-55.el6.rc4.x86_64 (cr)
               Not found
Error: Package: samba4-devel-4.0.0-23.alpha11.el6.i686 (@c6-media)
           Requires: libndr_standard.so.0
           Removing: samba4-libs-4.0.0-23.alpha11.el6.i686 (@c6-media)
               libndr_standard.so.0
           Obsoleted By: samba4-libs-4.0.0-55.el6.rc4.x86_64 (cr)
               Not found
Error: Package: samba4-devel-4.0.0-23.alpha11.el6.i686 (@c6-media)
           Requires: samba4-libs = 4.0.0-23.alpha11.el6
           Removing: samba4-libs-4.0.0-23.alpha11.el6.i686 (@c6-media)
               samba4-libs = 4.0.0-23.alpha11.el6
           Obsoleted By: samba4-libs-4.0.0-55.el6.rc4.x86_64 (cr)
               samba4-libs = 4.0.0-55.el6.rc4
Error: Package: openchange-devel-0.9-7.el6.i686 (installed)
           Requires: libmapi-openchange.so.0
           Removing: openchange-0.9-7.el6.i686 (@c6-media)
               libmapi-openchange.so.0
           Obsoleted By: openchange-1.0-4.el6.x86_64 (cr)
               Not found
Error: Package: samba4-devel-4.0.0-23.alpha11.el6.i686 (@c6-media)
           Requires: libndr.so.0
           Removing: samba4-libs-4.0.0-23.alpha11.el6.i686 (@c6-media)
               libndr.so.0
           Obsoleted By: samba4-libs-4.0.0-55.el6.rc4.x86_64 (cr)
               Not found
Error: Package: 1:dovecot-devel-2.0.9-2.el6_1.1.i686 (installed)
           Requires: dovecot = 1:2.0.9-2.el6_1.1
           Removing: 1:dovecot-2.0.9-2.el6_1.1.i686 (@c6-media)
               dovecot = 1:2.0.9-2.el6_1.1
           Updated By: 1:dovecot-2.0.9-5.el6.i686 (cr)
               dovecot = 1:2.0.9-5.el6
Steps To Reproduce# yum update
Additional InformationRH and you almost converted me: two servers -- which are 64-bit only -- don't show this. :)
TagsNo tags attached.

Activities

tigalch

tigalch

2013-03-11 19:20

manager   ~0016655

If i'm not mistaking this is noted in the 6.4 RN at http://wiki.centos.org/Manuals/ReleaseNotes/CentOS6.4#head-a39645d5503daf52829401f298c60712af070009. The RN also include a workaround.
mlampe

mlampe

2013-03-12 00:55

reporter   ~0016663

I'll try later this week.

I'm sure the RN workaround will work. (If I could have read the RN at CR time, then I didn't -- sorry.)

Will biarch ever just work out of the box? (Don't have a RH number.)

Dazed and confused, but trying to continue. :)
mlampe

mlampe

2013-03-13 22:07

reporter   ~0016705

Ok, removing any problematic packages before updating did it, of course.

But do the makers of CentOS have an opinion about this?

Is it a bug of upstream -- or a feature perhaps? Is there a point to it one should understand?

Or do you simply not care as long as C6.4 equals RHEL6.4 down to the bit?

I'm asking this on principle grounds.

Issue History

Date Modified Username Field Change
2013-03-07 23:00 mlampe New Issue
2013-03-11 19:20 tigalch Note Added: 0016655
2013-03-11 19:20 tigalch Status new => feedback
2013-03-12 00:55 mlampe Note Added: 0016663
2013-03-12 00:55 mlampe Status feedback => assigned
2013-03-13 22:07 mlampe Note Added: 0016705